org.apache.jmeter.util

## Class HttpSSLProtocolSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.util.HttpSSLProtocolSocketFactory

-     public class HttpSSLProtocolSocketFactory
      extends SSLSocketFactory

  Derived from EasySSLProtocolFactory Used by JsseSSLManager to set up the Java https socket handling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSSLProtocolSocketFactory(JsseSSLManager sslManager)`
    `HttpSSLProtocolSocketFactory(JsseSSLManager sslManager, int cps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()`
    `Socket` | `createSocket(InetAddress host, int port)`
    `Socket` | `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
    `Socket` | `createSocket(Socket s, String host, int port, boolean autoClose)`
    `Socket` | `createSocket(String host, int port)`
    `Socket` | `createSocket(String host, int port, InetAddress inetAddress, int localPort)`
    `String[]` | `getDefaultCipherSuites()`
    `String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSSLProtocolSocketFactory

          public HttpSSLProtocolSocketFactory(JsseSSLManager sslManager)

    - #### HttpSSLProtocolSocketFactory

          public HttpSSLProtocolSocketFactory(JsseSSLManager sslManager,
                                              int cps)

  - ### Method Detail

    - #### createSocket

          public Socket createSocket()
                              throws IOException,
                                     UnknownHostException

      Overrides:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`
        `UnknownHostException`
      See Also:
        `SocketFactory.createSocket()`

    - #### createSocket

          public Socket createSocket(InetAddress host,
                                     int port)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress address,
                                     int port,
                                     InetAddress localAddress,
                                     int localPort)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### getDefaultCipherSuites

          public String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `SSLSocketFactory`

    - #### getSupportedCipherSuites

          public String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `SSLSocketFactory`

    - #### createSocket

          public Socket createSocket(Socket s,
                                     String host,
                                     int port,
                                     boolean autoClose)
                              throws IOException

      Specified by:
        `createSocket` in class `SSLSocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String host,
                                     int port)
                              throws IOException,
                                     UnknownHostException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`
        `UnknownHostException`

    - #### createSocket

          public Socket createSocket(String host,
                                     int port,
                                     InetAddress inetAddress,
                                     int localPort)
                              throws IOException,
                                     UnknownHostException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`
        `UnknownHostException`

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.